%define upstream_name    Metabase-Fact
%define upstream_version 0.025

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Class for Metabase resources
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Metabase/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::GUID)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Prompt::Tiny)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the Metabase manpage is a framework for associating content and metadata
with arbitrary resources. A Metabase can be used to store test reports,
reviews, coverage analysis reports, reports on static analysis of coding
style, or anything else for which datatypes are constructed.

Metabase::Fact is a base class for Facts (really opinions or analyses) that
can be sent to or retrieved from a Metabase repository.

Structure of a Fact object
    A Fact object associates a 'content' attribute with a 'resource'
    attribute and a 'creator' attribute.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/metabase-profile
/usr/share/man/man1/metabase-profile.1.xz

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.25.0-4.mga8
+ Revision: 1495594
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.25.0-3.mga7
+ Revision: 1269251
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.25.0-2.mga6
+ Revision: 1029879
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.25.0-1.mga6
+ Revision: 989827
- update to 0.025

* Mon Feb 08 2016 umeabot <umeabot> 0.24.0-5.mga6
+ Revision: 949784
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.24.0-4.mga5
+ Revision: 790415
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.24.0-3.mga5
+ Revision: 750135
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.24.0-1.mga5
+ Revision: 593648
- update to 0.024

* Sun Oct 20 2013 umeabot <umeabot> 0.22.0-2.mga4
+ Revision: 536719
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 0.22.0-1.mga4
+ Revision: 485468
- New version 0.022

* Sun Jan 13 2013 umeabot <umeabot> 0.21.0-2.mga3
+ Revision: 369712
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.21.0-1.mga3
+ Revision: 255128
- update to 0.021

* Mon Dec 19 2011 shlomif <shlomif> 0.20.0-1.mga2
+ Revision: 184310
- imported package perl-Metabase-Fact


* Mon Dec 19 2011 cpan2dist 0.020-1mga
- initial mageia release, generated with cpan2dist
